.TH snmpa_error 3 "snmp  4.13.5" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
snmpa_error \- Functions for Reporting SNMP Errors
.SH DESCRIPTION
.LP
The module \fIsnmpa_error\fR contains two callback functions which are called if an error occurs at different times during agent operation\&. These functions in turn calls the corresponding function in the configured error report module, which implements the actual report functionality\&. 
.LP
Two simple implementation(s) is provided with the toolkit; the modules snmpa_error_logger which is the default and snmpa_error_io\&. 
.LP
The error report module is configured using the directive \fIerror_report_mod\fR, see configuration parameters\&. 

.SH EXPORTS
.LP
.B
config_err(Format, Args) -> void()
.br
.RS
.TP
Types
Format = string()
.br
Args = list()
.br
.RE
.RS
.LP
The function is called if an error occurs during the configuration phase, for example if a syntax error is found in a configuration file\&. 
.LP
\fIFormat\fR and \fIArgs\fR are as in \fIio:format(Format, Args)\fR\&.
.RE
.LP
.B
user_err(Format, Args) -> void()
.br
.RS
.TP
Types
Format = string()
.br
Args = list()
.br
.RE
.RS
.LP
The function is called if a user related error occurs at run-time, for example if a user defined instrumentation function returns erroneous\&. 
.LP
\fIFormat\fR and \fIArgs\fR are as in \fIio:format(Format, Args)\fR\&.
.RE
